%global with_python3 0
%global pkgname social-auth

Name:           python-%{pkgname}
Version:        0.1.17
Release:        1%{?dist}
Summary:        Social auth made simple
Group:          Development/Libraries
License:        BSD
URL:            http://psa.matiasaguirre.net/
Source0:        %{name}-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  python-sphinx
BuildRequires:  python2-devel
BuildRequires:  python-setuptools
%if 0%{?with_python3}
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
%endif

Requires:       python-oauthlib >= 0.3.8
Requires:       python-openid   >= 2.2
Requires:       python-requests >= 1.1.0
Requires:       python-requests-oauthlib >= 0.3.0
Requires:       python-six      >= 1.2.0

%description
Python Social Auth is an easy to setup social authentication/registration
mechanism with support for several frameworks and auth providers.

Crafted using base code from django-social-auth, implements a common interface
to define new authentication providers from third parties. And to bring support
for more frameworks and ORMs.


%prep
%setup -q



%build
%{__python} setup.py build




%install
%{__python} setup.py install --skip-build --root %{buildroot}


# remove .po files
find %{buildroot} -name "*.po" | xargs rm -f


%files
%doc LICENSE README.rst
%{python_sitelib}/social
%{python_sitelib}/python_social_auth-%{version}-py2.*.egg-info




%changelog
* Fri Nov 29 2013 Jakub Dorňák <jdornak@redhat.com> - 0.1.17-1
- Initial package
